# Pan + Credit Report

A Credit Report API provides detailed financial information about an individual, including credit scores, credit history, outstanding debts, and other relevant credit-related data.

### pan\_credit\_report

`POST` `https://secctrl.tutelar.io/api/v1/kyc/business_profile/pan_credit_report`

#### Post parameters description is given below

| Post Parameter | Type   | Is Mandatory | Description |
| -------------- | ------ | ------------ | ----------- |
| pan\_number    | String | Yes          | PAN Number  |

#### Sample Post Parameters

```json
{
    "pan_number": "CNPDG5273D"
}
```

#### 200: Success Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "72b0544a-099c-4c0c-83dc-83ee97df01f5",
    "status": "completed",
    "result": {
        "INProfileResponse": {
            "CAIS_Account": {
                "CAIS_Summary": {
                    "Credit_Account": {
                        "CADSuitFiledCurrentBalance": 0,
                        "CreditAccountActive": 2,
                        "CreditAccountClosed": 2,
                        "CreditAccountDefault": 0,
                        "CreditAccountTotal": 4
                    },
                    "Total_Outstanding_Balance": {
                        "Outstanding_Balance_All": 607519,
                        "Outstanding_Balance_Secured": 0,
                        "Outstanding_Balance_Secured_Percentage": 0,
                        "Outstanding_Balance_UnSecured": 607519,
                        "Outstanding_Balance_UnSecured_Percentage": 100
                    }
                }
            },
            "CAPS": {
                "CAPS_Summary": {
                    "CAPSLast180Days": 0,
                    "CAPSLast30Days": 0,
                    "CAPSLast7Days": 0,
                    "CAPSLast90Days": 0
                }
            },
            "CreditProfileHeader": {
                "CustomerReferenceID": "",
                "Enquiry_Username": "********",
                "ReportDate": 20240906,
                "ReportNumber": 1725614114194,
                "ReportTime": 144514,
                "Subscriber": "",
                "Subscriber_Name": "********",
                "Version": "V2.4"
            },
            "Current_Application": {
                "Current_Application_Details": {
                    "Amount_Financed": 0,
                    "Current_Applicant_Additional_AddressDetails": "",
                    "Current_Applicant_Address_Details": {
                        "BldgNoSocietyName": "",
                        "City": "Timiri",
                        "Country_Code": "IB",
                        "FlatNoPlotNoHouseNo": "45 KANTHASAM STREET TIMIRI,",
                        "Landmark": "",
                        "PINCode": 632512,
                        "RoadNoNameAreaLocality": "",
                        "State": 33
                    },
                    "Current_Applicant_Details": {
                        "Date_Of_Birth_Applicant": 19990710,
                        "Driver_License_Expiration_Date": "",
                        "Driver_License_Issue_Date": "",
                        "Driver_License_Number": "",
                        "EMailId": "",
                        "First_Name": "RAMESH",
                        "Gender_Code": 1,
                        "IncomeTaxPan": "CNPDG5273D",
                        "Last_Name": "GOWTHAM",
                        "Middle_Name1": "",
                        "Middle_Name2": "",
                        "Middle_Name3": "",
                        "MobilePhoneNumber": 6382526132,
                        "PAN_Expiration_Date": "",
                        "PAN_Issue_Date": "",
                        "Passport_Expiration_Date": "",
                        "Passport_Issue_Date": "",
                        "Passport_Number": "",
                        "Ration_Card_Expiration_Date": "",
                        "Ration_Card_Issue_Date": "",
                        "Ration_Card_Number": "",
                        "Telephone_Extension": "",
                        "Telephone_Number_Applicant_1st": 0,
                        "Telephone_Type": "",
                        "Universal_ID_Expiration_Date": "",
                        "Universal_ID_Issue_Date": "",
                        "Universal_ID_Number": "",
                        "Voter_ID_Expiration_Date": "",
                        "Voter_ID_Issue_Date": "",
                        "Voter_s_Identity_Card": ""
                    },
                    "Current_Other_Details": {
                        "Employment_Status": "",
                        "Income": 0,
                        "Marital_Status": "",
                        "Number_of_Major_Credit_Card_Held": 0,
                        "Policy": "",
                        "Time_with_Employer": ""
                    },
                    "Duration_Of_Agreement": 0,
                    "Enquiry_Reason": 13,
                    "Finance_Purpose": 99
                }
            },
            "Header": {
                "MessageText": "",
                "ReportDate": 20240906,
                "ReportTime": 144514,
                "SystemCode": 0
            },
            "Match_result": {
                "Exact_match": "Y"
            },
            "NonCreditCAPS": {
                "NonCreditCAPS_Summary": {
                    "NonCreditCAPSLast180Days": 0,
                    "NonCreditCAPSLast30Days": 0,
                    "NonCreditCAPSLast7Days": 0,
                    "NonCreditCAPSLast90Days": 0
                }
            },
            "SCORE": {
                "BureauScore": 769,
                "BureauScoreConfidLevel": ""
            },
            "TotalCAPS_Summary": {
                "TotalCAPSLast180Days": 0,
                "TotalCAPSLast30Days": 0,
                "TotalCAPSLast7Days": 0,
                "TotalCAPSLast90Days": 0
            },
            "UserMessage": {
                "UserMessageText": "Normal Response"
            }
        }
    },
    "requested_at": "2023-01-12T08:53:04.074Z",
    "completed_at": "2024-09-06T09:15:14.344Z"
}
```

#### 200: In Progress Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "93771444-76a4-4178-b25f-2b36ec6b0596",
    "status": "in_progress",
    "requested_at": "2024-04-18T09:26:36.780Z"
}
```

#### 200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "74b9f14d-5d07-448d-9e96-35a7a2d40672",
    "status": "failed",
    "error": {
        "message": "We were unable to extract the required details from your PAN number. Please use the detailed API to generate your credit report.",
        "code": "ERROR"
    },
    "requested_at": "2023-01-12T08:53:04.074Z",
    "completed_at": "2024-09-06T09:43:22.889Z"
}
```

#### 400: Validation Error Response

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid Pan Number",
        "field": "pan_number",
        "code": "BAD_REQUEST"
    }
}
```

### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/business_profile/pan_credit_report`

#### Query parameters description is given below

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

#### 200: Success Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "72b0544a-099c-4c0c-83dc-83ee97df01f5",
    "status": "completed",
    "result": {
        "INProfileResponse": {
            "CAIS_Account": {
                "CAIS_Summary": {
                    "Credit_Account": {
                        "CADSuitFiledCurrentBalance": 0,
                        "CreditAccountActive": 2,
                        "CreditAccountClosed": 2,
                        "CreditAccountDefault": 0,
                        "CreditAccountTotal": 4
                    },
                    "Total_Outstanding_Balance": {
                        "Outstanding_Balance_All": 607519,
                        "Outstanding_Balance_Secured": 0,
                        "Outstanding_Balance_Secured_Percentage": 0,
                        "Outstanding_Balance_UnSecured": 607519,
                        "Outstanding_Balance_UnSecured_Percentage": 100
                    }
                }
            },
            "CAPS": {
                "CAPS_Summary": {
                    "CAPSLast180Days": 0,
                    "CAPSLast30Days": 0,
                    "CAPSLast7Days": 0,
                    "CAPSLast90Days": 0
                }
            },
            "CreditProfileHeader": {
                "CustomerReferenceID": "",
                "Enquiry_Username": "********",
                "ReportDate": 20240906,
                "ReportNumber": 1725614114194,
                "ReportTime": 144514,
                "Subscriber": "",
                "Subscriber_Name": "********",
                "Version": "V2.4"
            },
            "Current_Application": {
                "Current_Application_Details": {
                    "Amount_Financed": 0,
                    "Current_Applicant_Additional_AddressDetails": "",
                    "Current_Applicant_Address_Details": {
                        "BldgNoSocietyName": "",
                        "City": "Timiri",
                        "Country_Code": "IB",
                        "FlatNoPlotNoHouseNo": "45 KANTHASAM STREET TIMIRI,",
                        "Landmark": "",
                        "PINCode": 632512,
                        "RoadNoNameAreaLocality": "",
                        "State": 33
                    },
                    "Current_Applicant_Details": {
                        "Date_Of_Birth_Applicant": 19990710,
                        "Driver_License_Expiration_Date": "",
                        "Driver_License_Issue_Date": "",
                        "Driver_License_Number": "",
                        "EMailId": "",
                        "First_Name": "RAMESH",
                        "Gender_Code": 1,
                        "IncomeTaxPan": "CNPDG5273D",
                        "Last_Name": "GOWTHAM",
                        "Middle_Name1": "",
                        "Middle_Name2": "",
                        "Middle_Name3": "",
                        "MobilePhoneNumber": 6382526132,
                        "PAN_Expiration_Date": "",
                        "PAN_Issue_Date": "",
                        "Passport_Expiration_Date": "",
                        "Passport_Issue_Date": "",
                        "Passport_Number": "",
                        "Ration_Card_Expiration_Date": "",
                        "Ration_Card_Issue_Date": "",
                        "Ration_Card_Number": "",
                        "Telephone_Extension": "",
                        "Telephone_Number_Applicant_1st": 0,
                        "Telephone_Type": "",
                        "Universal_ID_Expiration_Date": "",
                        "Universal_ID_Issue_Date": "",
                        "Universal_ID_Number": "",
                        "Voter_ID_Expiration_Date": "",
                        "Voter_ID_Issue_Date": "",
                        "Voter_s_Identity_Card": ""
                    },
                    "Current_Other_Details": {
                        "Employment_Status": "",
                        "Income": 0,
                        "Marital_Status": "",
                        "Number_of_Major_Credit_Card_Held": 0,
                        "Policy": "",
                        "Time_with_Employer": ""
                    },
                    "Duration_Of_Agreement": 0,
                    "Enquiry_Reason": 13,
                    "Finance_Purpose": 99
                }
            },
            "Header": {
                "MessageText": "",
                "ReportDate": 20240906,
                "ReportTime": 144514,
                "SystemCode": 0
            },
            "Match_result": {
                "Exact_match": "Y"
            },
            "NonCreditCAPS": {
                "NonCreditCAPS_Summary": {
                    "NonCreditCAPSLast180Days": 0,
                    "NonCreditCAPSLast30Days": 0,
                    "NonCreditCAPSLast7Days": 0,
                    "NonCreditCAPSLast90Days": 0
                }
            },
            "SCORE": {
                "BureauScore": 769,
                "BureauScoreConfidLevel": ""
            },
            "TotalCAPS_Summary": {
                "TotalCAPSLast180Days": 0,
                "TotalCAPSLast30Days": 0,
                "TotalCAPSLast7Days": 0,
                "TotalCAPSLast90Days": 0
            },
            "UserMessage": {
                "UserMessageText": "Normal Response"
            }
        }
    },
    "requested_at": "2023-01-12T08:53:04.074Z",
    "completed_at": "2024-09-06T09:15:14.344Z"
}
```

#### 200: In Progress Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "93771444-76a4-4178-b25f-2b36ec6b0596",
    "status": "in_progress",
    "requested_at": "2024-04-18T09:26:36.780Z"
}
```

#### 200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "74b9f14d-5d07-448d-9e96-35a7a2d40672",
    "status": "failed",
    "error": {
        "message": "We were unable to extract the required details from your PAN number. Please use the detailed API to generate your credit report.",
        "code": "ERROR"
    },
    "requested_at": "2023-01-12T08:53:04.074Z",
    "completed_at": "2024-09-06T09:43:22.889Z"
}
```

#### 400: Validation Error Response

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid Pan Number",
        "field": "pan_number",
        "code": "BAD_REQUEST"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/pan-+-credit-report.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
